SpreadMap (Groovy 5.1.0)

Package: groovy.lang

## [Java] Class SpreadMap

- groovy.lang.SpreadMap

-     public class SpreadMap
      extends HashMap

  Helper to turn a list with an even number of elements into a Map.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SpreadMap(Object[] values)`
    `SpreadMap(Map map)`
    `SpreadMap(List list)` Since: 1.8.0

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object that)`
    `` | `public boolean` | `equals(SpreadMap that)`
    `` | `public int` | `hashCode()`
    `` | `public Object` | `put(Object key, Object value)`
    `` | `public void` | `putAll(Map t)`
    `` | `public Object` | `remove(Object key)`
    `` | `public String` | `toString()` Returns: the string expression of `this`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HashMap` | `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getClass, getOrDefault, hashCode, isEmpty, keySet, merge, notify, notifyAll, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values, wait, wait, wait`

- - ### Constructor Detail

    - #### public SpreadMap(Object[] values)

    - #### public SpreadMap(Map map)

    - #### public SpreadMap(List list)

      Since:
        1.8.0
      Parameters:
        `list` - the list to make spreadable

  - ### Method Detail

    - #### @Override
      public boolean equals(Object that)

    - #### public boolean equals(SpreadMap that)

    - #### @Override
      public int hashCode()

    - #### @Override
      public Object put(Object key, Object value)

    - #### @Override
      public void putAll(Map t)

    - #### @Override
      public Object remove(Object key)

    - #### @Override
      public String toString()

      Returns:
        the string expression of `this`